### File

`packages/components/directives/eui-resizable/eui-resizable.directive.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

Selector | `[euiResizable]`

### Index

###### Properties
euiResizableMinWidth euiResizablePosition styleFlexBasisWidth styleMaxWidth styleMinWidth styleWidth
###### HostBindings
style.flex-basis.px style.max-width.px style.min-width.px style.width.px

### HostBindings

style.flex-basis.px
Type : `number`

style.max-width.px
Type : `number`

style.min-width.px
Type : `number`

style.width.px
Type : `number`

### Properties

euiResizableMinWidth
Default value : `input(0, { transform: pixelTransform })`
Minimum width constraint for the resizable container in pixels. Default is 0 if not specified.

euiResizablePosition
Default value : `input<EuiResizablePosition>('right')`
This is used to determine the placement of the resizable handle and the resizing behavior. Possible values are 'left' or 'right'. Default is 'right'.

styleFlexBasisWidth
Type : `number`
Decorators : `@HostBinding('style.flex-basis.px')`

styleMaxWidth
Type : `number`
Decorators : `@HostBinding('style.max-width.px')`

styleMinWidth
Type : `number`
Decorators : `@HostBinding('style.min-width.px')`

styleWidth
Type : `number`
Decorators : `@HostBinding('style.width.px')`

# results matching ""

# No results matching ""